=== debian/changelog ===
blktrace (1.1.0-2+deb9u1ubuntu0.16.04.1) xenial; urgency=medium

  * Fix failure when CPUs are offline (LP: #1827318)
    If one or more CPUs are offline then currently blktrace breaks
    because it detects the number of CPUs based on the number of
    CPUs rather than the number of online CPUs. Requires two upstream
    blktrace fixes to fully address this issue
    - 80c4041b2e7a7d5 ("blktrace: Use number of online CPUs")
    - d045a704a378b90 ("blktrace: Add support for sparse CPU numbers")

 -- Colin Ian King <colin.king@canonical.com>  Wed, 22 May 2019 13:22:31 +0100

blktrace (1.1.0-2+deb9u1build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Fri, 26 Oct 2018 11:40:22 -0400

blktrace (1.1.0-2+deb9u1) stretch; urgency=high

  * Fix buffer overflow in btt (CVE-2018-10689) (Closes: #897695)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 16 May 2018 16:19:54 +0200

blktrace (1.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 May 2015 22:35:02 +1000

blktrace (1.1.0-1) experimental; urgency=low

  * New upstream release [September 2014].
    + Install new binary `iowatcher` (Closes: #729204).
      "iowatcher" became part of "blktrace".
  * iowatcher-related changes:
    + Added "debian/blktrace.manpages" to install `iowatcher.1` man page.
    + Added "debian/clean" file.
    + Added "override_dh_installdocs" to install renamed iowatcher README.
    + Added paragraph describing iowatcher to long package description.
    + Recommends: [libtheora-bin, libav-tools, librsvg2-bin].
    + New patches: [ffmpeg2avconv.patch, man.patch, procnum.patch].
  * Modernise Vcs-Browser URL.
  * Standards-Version: 3.9.6.
  * Removed obsolete paragraph describing requirements for patched kernels
    earlier than 2.6.23 from long package description.
  * watch file update; tighten match pattern to exclude git snapshots.
  * Added "debian/gbp.conf".
  * Dropped obsolete "override_dh_builddeb".
  * Build with all hardening.
  * Copyright updates and corrections.
  * New "pdf-date.patch" to preserve date in "btreplay.pdf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Mar 2015 18:54:47 +1100
