=== debian/watch ===
version=3
opts=dversionmangle=s/^[0-9.]+\+// \
http://brick.kernel.dk/snaps/ \
    blktrace-(\d[\d.]+)\.tar\.(?:gz|xz|bz2)
