## blktrace 1.2.0

=== Makefile ===
--- 
+++ 
@@ -79,6 +79,7 @@
 	-rm -f *.o $(PROGS) .depend btrace-1.0.tar.bz2
 	$(MAKE) -C btt clean
 	$(MAKE) -C btreplay clean
+	$(MAKE) -C iowatcher clean
 
 install: all
 	$(INSTALL) -m 755 -d $(DESTDIR)$(bindir)
