=== btt/Makefile ===
--- 
+++ 
@@ -8,16 +8,16 @@
 CC	= gcc
 CFLAGS	= -Wall -W -O2 -g
 INCS	= -I. -I..
-OCFLAGS	= -UCOUNT_IOS -UDEBUG -DNDEBUG
 XCFLAGS	= -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
-override CFLAGS += $(INCS) $(XCFLAGS) $(OCFLAGS)
+override CFLAGS += $(INCS) $(XCFLAGS)
 
 PROGS	= btt
 LIBS	= $(PLIBS) $(ELIBS)
 OBJS	= args.o bt_timeline.o devmap.o devs.o dip_rb.o iostat.o latency.o \
 	  misc.o output.o proc.o seek.o trace.o trace_complete.o trace_im.o \
 	  trace_issue.o trace_queue.o trace_remap.o trace_requeue.o \
-	  ../rbtree.o mmap.o trace_plug.o bno_dump.o unplug_hist.o q2d.o
+	  ../rbtree.o mmap.o trace_plug.o bno_dump.o unplug_hist.o q2d.o \
+	  aqd.o plat.o rstats.o p_live.o
 
 all: depend $(PROGS)
