=== debian/changelog ===
blktrace (1.2.0-5ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:50 +1100

blktrace (1.2.0-5ubuntu1) noble; urgency=medium

  * Build without -Werror=format-overflow, -Werror=format-truncation on 
    ppc64el where it misfires and causes a build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Mar 2024 02:17:48 +0000

blktrace (1.2.0-5build1) noble; urgency=medium

  * No-change rebuild against libaio1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 09:13:36 +0000

blktrace (1.2.0-5) unstable; urgency=low

  * Disable parallel builds (caused races like in
    https://buildd.debian.org/status/fetch.php?pkg=blktrace&arch=ppc64&ver=1.2.0-4&stamp=1550096425&raw=0)

 -- Bas Zoetekouw <bas@debian.org>  Sat, 23 Feb 2019 23:17:21 +0100

blktrace (1.2.0-4) unstable; urgency=low

  * Split and adjust gcc warnings patch

 -- Bas Zoetekouw <bas@debian.org>  Wed, 13 Feb 2019 22:19:54 +0100

blktrace (1.2.0-3) unstable; urgency=low

  * d/copyright: Change Format URL to correct one
  * change compat level to 11
  * update policy to 4.3.0
  * update homepage
  * update watch file to look at kernel git repo
  * extend DEB_BUILD_MAINT_OPTIONS
  * fix gcc warnings (including a possible buffer overflow)

 -- Bas Zoetekouw <bas@debian.org>  Tue, 12 Feb 2019 13:21:56 +0100

blktrace (1.2.0-2) unstable; urgency=medium

  * Remove unnecessary debian/blktrace.manpages file.  The upstream
    build system installs the manpage correctly by itself.
    (Closes: #903169)
  * Set Rules-Requires-Root to no as blktrace does not need
    (fake)root to create debs.

 -- Bas Zoetekouw <bas@debian.org>  Tue, 07 Aug 2018 15:54:17 +0200

blktrace (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update VCS links to salsa.debian.org
  * Change SUggests from libav-tools to ffmpeg (Closes: #895915)
  * Update Standards-version to version 4.1.4; change priority to optional
  * Fix buffer overflow in btt (CVE-2018-10689) (Closes: #897695)
  * Fix FTCBFS: (Closes: #894836)
    + Let dh_auto_build pass cross tools to make.
    + Fix build/host confusion.
  * Make build reproducible
  * Fix typo in README.Debian
  * Don't parse changelog during build
  * Add doc-base metadata for documentation
  * Remove debugfs mounting init script, as systemd is moutning debugfs
    by default nowadays (Closes: #873470, #705269)
  * Add python3 support for btt_plot.py and bno_plot.py

 -- Bas Zoetekouw <bas@debian.org>  Sat, 19 May 2018 21:49:22 +0200
