=== debian/watch ===
version=4
opts=dversionmangle=s/^[0-9.]+\+// \
    https://git.kernel.org/pub/scm/linux/kernel/git/axboe/blktrace.git/refs/ \
	/pub/scm/linux/kernel/git/axboe/blktrace.git/snapshot/blktrace-(\d[\d.]+).tar.gz
