=== doc/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	@touch blktrace.tex
 
 blktrace.pdf: blktrace.tex
-	@latex blktrace.tex > /dev/null
-	@latex blktrace.tex > /dev/null
+	@latex blktrace.tex
+	@latex blktrace.tex
 	@dvipdfm -p a4 blktrace
 	@rm -rf $(DOCTMP)
