=== debian/changelog ===
blktrace (1.3.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Fukui Daichi ]
  * Add patch for build failure on mips64el and ppc64el (Closes: #1082328)

 -- Paul Gevers <elbrus@debian.org>  Wed, 23 Oct 2024 11:43:43 +0200

blktrace (1.3.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 0~git-20061221162513-1.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Fukui Daichi ]
  * New upstream version 1.3.0 (Closes: #1073161)
  * Remove and fix patches to catch up with 1.3.0
  * Update d/copyright
    - Added more precise copyright information
  * Update standards version to 4.7.0, no changes needed.

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Sat, 16 Sep 2023 03:17:24 +0000
