=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: blktrace
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Bas Zoetekouw <bas@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends:
-    debhelper (>= 9),
+    debhelper-compat (= 13),
     ghostscript,
     libaio-dev,
     texlive-latex-base,
     texlive-latex-extra
-Standards-Version: 3.9.6
-Homepage: http://brick.kernel.dk/snaps/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/blktrace.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/blktrace.git
+Standards-Version: 4.7.0
+Homepage: https://git.kernel.org/pub/scm/linux/kernel/git/axboe/blktrace.git/about/
+Vcs-Browser: https://salsa.debian.org/debian/blktrace
+Vcs-Git: https://salsa.debian.org/debian/blktrace.git
+Rules-Requires-Root: no
 
 Package: blktrace
 Architecture: linux-any
-Depends: ${misc:Depends},
-    ${shlibs:Depends},
-    python,
-    lsb-base
+Depends: ${misc:Depends}
+    ,${shlibs:Depends}
+    ,python3
 Recommends: libtheora-bin
-           ,libav-tools
+           ,ffmpeg
            ,librsvg2-bin
 Suggests: gnuplot-x11
 Description: utilities for block layer IO tracing
