=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,7 @@
 CFLAGS += -Wall -Wextra -Wno-shadow -Werror -g
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+all qa=+all reproducible=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  export DEB_CFLAGS_MAINT_APPEND = -Wno-error=format-overflow -Wno-error=format-truncation
-endif
 # make sure TeX/dvipdfm generates reproducable builds
 export FORCE_SOURCE_DATE=1
 
@@ -55,4 +51,3 @@
 
 override_dh_compress:
 	dh_compress -X.pdf
-
